Overview | Package | Class | Use | Tree | Deprecated | Index
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.emf.ecp.view.spi.model
Interface VDiagnostic

All Superinterfaces:
  org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier

All Known Implementing Classes:
  VDiagnosticImpl

    public interface VDiagnostic

extends org.eclipse.emf.ecore.EObject

A representation of the model object 'VDiagnostic'.

The following features are supported:

- `Diagnostics`

Since:
  1.2
See Also:
  `VViewPackage.getDiagnostic()`

Method Summary
`List<org.eclipse.emf.common.util.Diagnostic>` | `getDiagnostic(org.eclipse.emf.ecore.EObject eObject, org.eclipse.emf.ecore.EStructuralFeature eStructuralFeature)` Returns all diagnostics for the provided `EObject` and `EStructuralFeature`.
`org.eclipse.emf.common.util.EList<Object>` | `getDiagnostics()` Returns the value of the 'Diagnostics' attribute list.
`List<org.eclipse.emf.common.util.Diagnostic>` | `getDiagnostics(org.eclipse.emf.ecore.EObject eObject)` Returns all diagnostics for the provided `EObject`.
`int` | `getHighestSeverity()` Returns the highest severity found in the diagnostics.
`String` | `getMessage()` Returns the message associated with this validation.

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### getDiagnostics

    org.eclipse.emf.common.util.EList<Object> getDiagnostics()

  Returns the value of the 'Diagnostics' attribute list. The list contents are of type `Object`.

  If the meaning of the 'Diagnostics' attribute list isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Diagnostics' attribute list.
  See Also:
    `VViewPackage.getDiagnostic_Diagnostics()`

### getHighestSeverity

    int getHighestSeverity()

  Returns the highest severity found in the diagnostics.

  Returns:
    the highest severity

### getMessage

    String getMessage()

  Returns the message associated with this validation. The message contains only the highest known severity for each EObject.

  Returns:
    the message

### getDiagnostics

    List<org.eclipse.emf.common.util.Diagnostic> getDiagnostics(org.eclipse.emf.ecore.EObject eObject)

  Returns all diagnostics for the provided `EObject`. The result is sorted by severity and message.

  Parameters:
    `eObject` - the `EObject` to search diagnostics for
  Returns:
    the list of sorted diagnostics
  Since:
    1.3

### getDiagnostic

    List<org.eclipse.emf.common.util.Diagnostic> getDiagnostic(org.eclipse.emf.ecore.EObject eObject,
                                                               org.eclipse.emf.ecore.EStructuralFeature eStructuralFeature)

  Returns all diagnostics for the provided `EObject` and `EStructuralFeature`. The result is sorted by severity and message.

  Parameters:
    `eObject` - the `EObject` to search diagnostics for
    `eStructuralFeature` - the `EStructuralFeature` to search diagnostics for
  Returns:
    the list of sorted diagnostics
  Since:
    1.3

Overview | Package | Class | Use | Tree | Deprecated | Index
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2015. All Rights Reserved.